libhsm_key_info_t Struct Reference

`#include <libhsm.h>`

## Data Fields

char * | id
unsigned long | algorithm
char * | algorithm_name
unsigned long | keysize

## Detailed Description

HSM Key Pair Information

Definition at line 109 of file libhsm.h.

## Field Documentation

## algorithm

unsigned long libhsm_key_info_t::algorithm

key algorithm (cast from CKK_*)

Definition at line 111 of file libhsm.h.

Referenced by hsm_get_key_info().

## algorithm_name

char* libhsm_key_info_t::algorithm_name

key algorithm name

Definition at line 112 of file libhsm.h.

Referenced by hsm_get_key_info(), hsm_print_key(), and libhsm_key_info_free().

## id

char* libhsm_key_info_t::id

key id

Definition at line 110 of file libhsm.h.

Referenced by hsm_get_key_info(), hsm_print_key(), and libhsm_key_info_free().

## keysize

unsigned long libhsm_key_info_t::keysize

key size

Definition at line 113 of file libhsm.h.

Referenced by hsm_get_key_info(), and hsm_print_key().

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h